PHP Manual
Prev |  | Next

# OCI-Lob->read

(no version information, might be only in CVS)

OCI-Lob->read -- Reads part of the large object

## Description

class OCI-Lob {
string read ( int length )
}

Reads length bytes from the current position of LOB's internal pointer. Reading stops when length bytes have been read or end of the large object is reached. Internal pointer of the large object will be shifted on the amount of bytes read.

Returns `FALSE` in case of error.

## Parameters

length

## See Also

OCI-Lob->load
OCI-Lob->write

Prev | Home | Next
OCI-Lob->load | Up | OCI-Lob->rewind